'use strict';

const Promise  = require("bluebird");
const eventBus = require('../index');
eventBus.init({
    bus: {
        url: 'amqp://codefresh.dev',
        reconnectInterval: 5
    },
    store: {
        host: 'codefresh.dev',
        database: 'postgres',
        user: 'postgres',
        password: 'postgres'
    },
    //microServiceName: 'microservice2'
});

// eventBus.getAllAggregateEvents("552d386d3824831d00b1ca36")
//     .then((events) => {
//         var x = events;
//     });

let totalSent = 0;
const interval = setInterval(() => {
    totalSent++;
    eventBus.publish('myevent', {
        accountId: "552d386d3824831d00b1ca38",
        aggregateId: "552d386d3824831d00b1ca36",
        userId: "userId",
        props: {
            totalSent: totalSent
        }
    })
        .then(() => {
            console.log(`sent message: ${totalSent}`);
        })
        .catch((err) => {
            console.error(err.toString());
        })
        .done();
}, 2000);

setTimeout(() => {
    console.log("STOPPING");
    clearInterval(interval);
    setTimeout(() => {
        process.exit(0);
    }, 100000);
}, 500000);
